# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



$os = $ENV{'OS'} || 'default';

if( $os eq 'Windows_NT' )
{
    @make_args = ( '/nologo', '/f', '../src/main.nmk' );
}

if( ( $COMPILER_HOME = $ENV{'COMPILER_HOME'} ) &&
    ( $OS_HOME       = $ENV{      'OS_HOME'} ) )
{
    if( $os eq 'Windows_NT' )
    {
	$GHSROOT          = "$COMPILER_HOME/green/nt-ppc-1.8.9r3.4";

	$wind_base        = $ENV{'WIND_BASE'};
	$wind_host_type   = 'x86-win32';
	$ENV{'PATH'}      = "$GHSROOT;$wind_base/host/$wind_host_type/bin"
			  . ";$ENV{'PATH'}";
    }
    else
    {
	$GHSROOT          = "$COMPILER_HOME/green/solaris-ppc-1.8.9r3.4";
	$rosert_home      = $ENV{'ROSERT_HOME'};
	chomp( $host      = `$rosert_home/bin/machineType` );

	$wind_base        = "$OS_HOME/wrs/tornado-2.0";
	if( $host eq 'sun5' )
	{
	    $wind_host_type = 'sun4-solaris2';
	}
	elsif( $host eq 'hpux10' )
	{
	    $wind_host_type = 'parisc-hpux10';
	}
	$ENV{'PATH'}      = "$GHSROOT:$wind_base/host/$wind_host_type/bin"
			  . ":$ENV{'PATH'}";
	$ENV{'WIND_BASE'} = "$wind_base";
    }

    $ENV{'VXWORKS_HOME'}    = "$wind_base/target";
    $ENV{'VX_BSP_BASE'}     = "$wind_base/target";
    $ENV{'VX_HSP_BASE'}     = "$wind_base/target";
    $ENV{'VX_VW_BASE'}      = "$wind_base/target";
    $ENV{'WIND_HOST_TYPE'}  = "$wind_host_type";
}

$preprocessor = "cxvxppc -DPRAGMA -E -P >MANIFEST.i";
$target_base  = 'TORNADO1';
$supported    = 'Yes';
