/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActor_class.h>
#include <RTComponentDescriptor.h>

RTActorRef * RTActor::_component( int id )
{
    const RTActor_class * info = getActorData();

    if( id <= 0 || id > info->numComponents )
	return (RTActorRef *)0;

    return RTObjectOf( RTActorRef, info->components[ id - 1 ].offset, this );
}
