/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActorProbe.h>
#include <RTDebugger.h>

void RTActorProbe::setChain( int               origin,
			     const char      * transition,
			     const RTMessage * msg )
{
    if( _chainOrigin > 0 )
	evtChain( 0 ); // finish last chain

    _chainOrigin = origin;
    _chainTrans  = transition;
    _chainMsg    = msg;

    evtChain( 1 );
}
