/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorProbe.h>
#include <RTDiag.h>

//lint -save -e1738
RTActorProbe::RTActorProbe( const RTActorProbe & )
    : RTProbe( (RTDebugger *)0, 0, (const char *)0, 0 )
    , _chainOrigin  (                    0 )
    , _chainTrans   ( (const char      *)0 )
    , _chainMsg     ( (const RTMessage *)0 )
    , _chainParent  (                    0 )
    , _chainState   (                    0 )
    , _fieldList    ( (FieldEntry      *)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActorProbe( const RTActorProbe & )'" );
}
//lint -restore

RTActorProbe & RTActorProbe::operator=( const RTActorProbe & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActorProbe::operator=( const RTActorProbe & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
