/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorRef.h>
#include <RTDiag.h>

RTActorRef::RTActorRef( const RTActorRef & )
    : _info    ( (const RTComponentDescriptor *)0 )
    , _contents( (void                        *)0 )
#if OBSERVABLE
    , probe    ( (RTActorRefProbe             *)0 )
#endif
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActorRef( const RTActorRef & )'" );
}

RTActorRef & RTActorRef::operator=( const RTActorRef & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActorRef::operator=( const RTActorRef & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
