/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiEncoding.h>
#include <RTObject_class.h>

int RTAsciiEncoding::put_indirect( const void           * pointer,
				   const RTObject_class * target )
{
    int          status = 0;
    const void * value  = *(const void * const *)pointer;

    if( value == (const void *)0 )
    {
	status = put_int( 0 );
    }
    else if( putFieldListStart() != 0 )
    {
	status = target->encode( value, this );

	if( putFieldListFinish() == 0 )
	    status = 0;
    }

    return status;
}
