/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>

// This is a performance optimization that hides the complications of
// using dispatch recursively.
// Other than in mainLoop, this is the only place dispatch is called.

void RTController::awaitResponse( void )
{
    if( dispatch( Synchronous ) != OneDelivered )
	waitForEvents();
}
