/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTCustomController.h>
#include <RTDiag.h>

//lint -save -e1738
RTCustomController::RTCustomController( const RTCustomController & )
    : RTPeerController( (RTDebugger *)0, (const char *)0 )
    , _customLayer( (RTActor       *)0 )
    , _waitFunc   ( (RTActorFunction)0 )
    , _wakeupFunc ( (RTActorFunction)0 )
    , _processFunc( (RTActorFunction)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTPeerController( const RTPeerController & )'" );
}
//lint -restore

RTCustomController & RTCustomController::operator=( const RTCustomController & )
{
    RTDiag::panic( "Unavailable method called:\n"
    "    'RTCustomController::operator=( const RTCustomController & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
