/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTElasticArray.h>

int RTElasticArray::unusedIndex( int minimum )
{
    int index;

    if( minimum < 0 )
	minimum = 0;

    for( index = minimum; index < _size; ++index )
	if( _contents[ index ] == (void *)0 )
	    break;

    return index;
}

int RTElasticArray::unusedIndex( void )
{
    return unusedIndex( 0 );
}
