/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTFormat.h>

int RTFormat::_long( long value, char * buffer, int bufferSize )
{
    int size;

    if( value >= 0L )
	size = _unsigned( (unsigned long)value, buffer, bufferSize );
    else
    {
	size = _unsigned( (unsigned long)-value, &buffer[ 1 ], bufferSize - 1 );

	if( size != 0 )
	{
	    buffer[ 0 ] = '-';
	    ++size; // account for sign
	}
    }

    return size;
}
