/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTFormat.h"
#endif

#include <RTFormat.h>

int RTFormat::_unsigned( unsigned long   value,
			 char          * buffer,
			 int             bufferSize )
{
    char   reversed[ 40 ];
    char * cursor = reversed;

    do
	*cursor++ = (char)( '0' + (int)( value % 10UL ) );
    while( (value /= 10UL) > 0UL );

    int size = cursor - reversed; //lint !e946 !e947

    if( size + 1 > bufferSize )
	return 0;

    while( cursor != reversed )
	*buffer++ = *--cursor;

    *buffer = '\0';

    return size;
}
