/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTMemoryOutBuffer.h>

//lint -save -e1738

RTMemoryOutBuffer::RTMemoryOutBuffer( const RTMemoryOutBuffer & )
    : RTOBuffer()
    , memory( (char *)0 )
    , size  (         0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTMemoryOutBuffer( const RTMemoryOutBuffer & )'" );
}

//lint -restore

RTMemoryOutBuffer & RTMemoryOutBuffer::operator=( const RTMemoryOutBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTMemoryOutBuffer::operator=( const RTMemoryOutBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
