/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTFieldOffset.h>
#include <RTMessage.h>
#include <RTObject_class.h>

void RTMessage::_internData( void )
{
    if( ( _flags & MaskDataOwned ) == 0 )
    {
	const void * old_location = data; //lint !e1402

#if RTMESSAGE_PAYLOAD_SIZE != 0
	if( _type->_size <= (RTFieldOffset)sizeof( _data_area ) )
	    data = (void *)_data_area;
	else
#endif
	    data = _type->allocate();

	_type->copy( data, old_location );
	_flags |= MaskDataOwned;
    }
}
