/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTEncoding.h>
#include <RTObject_class.h>

int RTinherit_encode( const RTObject_class * type,
		      const void           * value,
		      RTEncoding           * coding )
{
    RTEncodeFunction func;

    do
    {
	value = (*type->_super_accessor)( RTConstCast( void, value ) );
	type  = type->_super;
	func  = type->_encode_func;
    }
    while( func == RTinherit_encode );

    return (*func)( type, value, coding );
}
