/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTMessageBlock.h"
#pragma implementation "RTResourceMgr.h"
#endif

#include <RTMessageBlock.h>
#if USE_THREADS
#include <RTMutex.h>
#endif
#include <RTResourceMgr.h>

RTResourceMgr::~RTResourceMgr( void )
{
    RTMessageBlock * block;

    while( (block = blocks) != (RTMessageBlock *)0 )
    {
	blocks = block->next;

	delete block;
    }

    messages = (RTMessage *)0;

#if USE_THREADS
    delete access;
#endif
}
