/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTTimerNode.h>
#include <RTTiming.h>

int Timing::Base::cancelTimer( RTTimerId & id )
{
    RTController * controller = context();

    controller->trace( RTController::TimerCancel, this, (const void *)0 );

    if( RTTimerNode::cancel( controller, id ) == 0 )
    {
	controller->setError( RTController::badId,
			      RTController::TimerCancel,
			      this,
			      (const void *)0 );
	return 0;
    }

    return 1;
}
