/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_async( int sock )
{
#if USE_THREADS
    (void)sock;
#else
    int pid  = (int)getpid();
    int flag = 1;

    while( INET_ioctl( sock, SIOCSPGRP, &pid ) < 0 ) //lint !e569 !e912 !e917
    {
#ifdef INET_EINTR
	if( INET_error( sock ) == INET_EINTR )
	    continue;
#endif

	return 0;
    }

    while( INET_ioctl( sock, FIOASYNC, &flag ) < 0 ) //lint !e569 !e912 !e917
    {
#ifdef INET_EINTR
	if( INET_error( sock ) == INET_EINTR )
	    continue;
#endif

	return 0;
    }
#endif // USE_THREADS

    return 1;
}
