/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTExternal.h>

#include <windows.h>

//lint -save -e511 -e740
RTMessage * External::Base::unload( void )
{
    // Microsoft says that InterlockedExchangePointer supersedes
    // InterlockedExchange, but it seems to neither be declared
    // nor defined.
#if 0
    return (RTMessage *)InterlockedExchangePointer( (PVOID     *)&msg,
						    (RTMessage *)0 );
#else
    return (RTMessage *)InterlockedExchange( (LPLONG)&msg, (LONG)0 );
#endif
}
//lint -restore
