# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



$os = $ENV{'OS'} || 'default';

if( $os eq 'Windows_NT' )
{
    @make_args = ( '/nologo', '/f', '../src/main.nmk' );
}

if( ( $COMPILER_HOME = $ENV{'COMPILER_HOME'} ) &&
    ( $OS_HOME       = $ENV{      'OS_HOME'} ) )
{
    $DIABLIB = "$COMPILER_HOME/diab/4.3f";

    if( $os eq 'Windows_NT' )
    {
	$OSE_ROOT    = "$OS_HOME/OSE/OSE4.1.1";
	$DIABPATH    = "$DIABLIB/win32/bin";
	$ENV{'PATH'} = "$DIABPATH;$ENV{'PATH'}";

	$ENV{'LM_LICENSE_FILE'} = '7105@server0';
    }
    else
    {
	$OSE_ROOT    = "$OS_HOME/OSE/OSE4.1.1";
	$DIABPATH    = "$DIABLIB/SUNS/bin";
	$ENV{'PATH'} = "$DIABPATH:$ENV{'PATH'}";
    }

    $ENV{'OSE_ROOT'} = $OSE_ROOT;
    $ENV{'DIABLIB'}  = $DIABLIB;
}

$preprocessor = "dplus -t PPC603EH -P";
$target_base  = 'OSE3';
$supported    = 'Yes';
