# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



if( $OS_HOME = $ENV{'OS_HOME'} )
{
    $os = $ENV{'OS'} || 'default';

    if( $os eq 'Windows_NT' )
    {
	$usr_mri     = $ENV{'USR_MRI'};
	$ENV{'PATH'} = "$usr_mri/bin;$ENV{'PATH'}";
    }
    else
    {
	$usr_mri            = "$ENV{'OS_HOME'}/spectra/solaris-ppc603-4.AB";
	$ENV{'USR_MRI'}     = "$usr_mri";
	$ENV{'SPECTRA'}     = "$usr_mri/spappc";
	$ENV{'MRI_PPC_BIN'} = "$usr_mri/bin";
	$ENV{'MRI_PPC_LIB'} = "$usr_mri/lib";
	$ENV{'MRI_PPC_INC'} = "$usr_mri/include/mccppc";
	$ENV{'PATH'}        = "$usr_mri/bin:$ENV{'PATH'}";
    }
}

$preprocessor = "cccppc -E >MANIFEST.i";
$include_opt  = '-J';
$target_base  = 'VRTX3';
$supported    = 'No';
