# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



VENDOR        = VisualC++

AR_CMD        = $(PERL) "$(RTS_HOME)/tools/ar.pl" -create=lib,/nologo   \
						  -output=/out:         \
						  -add=lib,/nologo      \
						  -input                \
						  -suffix=$(OBJ_EXT)    \
						  -limit=4000

CC            = cl
LD            = $(PERL) "$(RTS_HOME)/libset/$(LIBRARY_SET)/ld.pl" link
SHLIB_CMD     = $(CC) /MD

# /W4  - warning level 4
# /GX  - generate exception handling code
# /Ox  - full optimization
# /Ot  - favour fast code
# /Oi  - generate intrinsic functions
# /GF  - merge common strings and place in read-only memory
# /Ob2 - greater freedom to inline functions
# /MD  - select multi-threaded DLLs
# /TP  - assume all source files are C++

LIBSETCCFLAGS = /nologo /G5 /GX /GF /MD /TP
LIBSETCCEXTRA = /W4 /Ox /Ot /Oi /Ob2 /DWIN32_LEAN_AND_MEAN
LIBSETLDFLAGS = /nologo

SHLIBCCFLAGS  =
SHLIBS        =

EXEC_EXT      = .EXE
OT_LIB_TAG    = -llib
LIB_PFX       =
LIB_EXT       = .LIB
OBJ_EXT       = .OBJ
SHLIB_PFX     =
SHLIB_EXT     = .DLL

DEBUG_TAG     = /Zi
INCLUDE_TAG   = /I
OBJECT_OPT    = /c
OBJOUT_OPT    =
OBJOUT_TAG    = /Fo

EXEOUT_OPT    =
EXEOUT_TAG    = /OUT:

ALL_OBJS_LIST = %$(ALL_OBJS_LISTFILE)
