/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActorRef.h>
#include <RTComponentDescriptor.h>
#include <RTDiag.h>

void RTActorRef::initializeAll( void )
{
    RTAssert( _info->kind == RTComponentDescriptor::Fixed );

    int            n = size();
    RTController * c = context();

    for( int i = 0; i < n; ++i )
    {
	RTActor * a = (*this)[ i ];

	if( a != (RTActor *)0 )
	    (void)a->initMe( (void *)0, (const RTObject_class *)0, c );
    }
}
