/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorRef.h>
#include <RTActorRefProbe.h>
#include <RTDebugger.h>

void RTActorRefProbe::evtPresence( int actorIndex, int obsId, int daemonId )
{
    if( _actorRef == (RTActorRef *)0 )
	return;

    int refSize = _actorRef->size();

    if( actorIndex < 0 )
    {
	for( actorIndex = 0; actorIndex < refSize; ++actorIndex )
	{
	    (void)_debugger->evtPresence( _id, actorIndex,
					  (*_actorRef)[ actorIndex ],
					  obsId, daemonId );
	}
    }
    else if( actorIndex < refSize )
    {
	(void)_debugger->evtPresence( _id, actorIndex,
				      (*_actorRef)[ actorIndex ],
				      obsId, daemonId );
    }
}
