/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemonInfo.h>
#include <RTMemoryUtil.h>

void RTDaemonInfo::setInfoChain( const char * theActor,
				 const char * theOrigin,
				 const char * theTrans,
				 int          thePos )
{
    daemonKind     = InfoChain;
    chainStrOrigin = RTMemoryUtil::strdup( theOrigin );
    chainStrTrans  = RTMemoryUtil::strdup( theTrans  );
    chainPosition  = thePos;

    setInfo( theActor );
}
