/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>
#include <RTEventInfo.h>
#include <RTObserver.h>

void RTDebugger::dispatchEvent( RTEventInfo * eventInfo )
{
    for( int iObs = 0; iObs < observers.size(); ++iObs )
    {
	if( eventInfo->observerId < 0 || eventInfo->observerId == iObs )
	{
	    RTObserver * observer = (RTObserver *)observers[ iObs ];

	    if( observer != (RTObserver *)0 )
		observer->dispatchEvent( *eventInfo );
	}
    }
}
