/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>
#include <RTDiag.h>
#include <RTDiagStream.h>

void RTDebugger::logMessage( const RTMessage * message )
{
    if( traceLevel[ TraceComm ] >= DEBUG_VERBOSE )
    {
	RTDiagStream & out = RTDiag::out();

	out.lock() << "message\n";
	printMessage( message );
	out << "\n";
	out.unlock();
    }
}
