/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTDiagStream.h>

void RTDiag::failed_assertion( const char * expr, const char * file, int line )
{
    RTDiagStream & s = out();

    s.lock() << "Assertion: " << expr
	     << "\nfailed at line " << line << " of " << file << "\n";
    s.unlock();
    panic( "assertion failure" );
}
