/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDictionary.h>

RTDictionary::RTDictionary( unsigned initialSize )
    : _size( initialSize > 0U ? initialSize : 32U )
    , _used( 0U )
    , _contents( new RTAssociation [ _size ] )
{
    for( unsigned i = 0U; i < _size; ++i )
	_contents[i].key = (char *)0;
}

RTDictionary::RTDictionary( const RTDictionary & other )
    : _size( other._size )
    , _used( 0U )
    , _contents( new RTAssociation [ _size ] )
{
    for( unsigned i = 0U; i < _size; ++i )
	_contents[i].key = (char *)0;

    *this = other;
}
