/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTElasticArray.h>

int RTElasticArray::compact( void )
{
    int used = _size;

    for( int nil_index = 0; nil_index < _size; ++nil_index )
    {
	if( _contents[ nil_index ] == (void *)0 )
	{
	    for( int valid_index = nil_index; ++valid_index < _size; )
		if( _contents[ valid_index ] != (void *)0 )
		    _contents[ nil_index++ ]  = _contents[ valid_index ];

	    used = nil_index;

	    while( nil_index < _size )
		_contents[ nil_index++ ] = (void *)0;

	    break;
	}
    }

    return used;
}
