/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTFieldDescriptor.h>
#include <RTMemoryUtil.h>

const RTFieldDescriptor * RTFieldDescriptor::lookup( int          _count,
						     const char * _name ) const
{
    const RTFieldDescriptor * field = this;

    for( ; _count > 0; --_count, ++field )
	if( RTMemoryUtil::strcmp( _name, field->name ) == 0 )
	    return field;

    return (const RTFieldDescriptor *)0;
}
