/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTLogBuffer.h>

//lint -save -e1738

RTLogBuffer::RTLogBuffer( const RTLogBuffer & )
    : RTStreamBuffer()
    , log( (Log::Base *)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTLogBuffer( const RTLogBuffer & )'" );
}

//lint -restore

RTLogBuffer & RTLogBuffer::operator=( const RTLogBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTLogBuffer::operator=( const RTLogBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
