/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTController.h>
#include <RTMessage.h>
#include <RTProtocol.h>

int RTMessage::reply( const RTGlobalSignal & _signal_,
		      const void           * _data_,
		      const RTObject_class * _type_ ) const
{
    if( _port == (RTProtocol *)0 )
    {
	context()->setError( RTController::noConnect,
			     RTController::CommReply,
			     (const void *)0,
			     (const void *)0 );
	return 0;
    }

    return _port->reply( _port->getLocalSignal( _signal_ ), _data_,  _type_ );
}
