/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTString.h>

RTString & RTString::operator=( const char * rhs )
{
    if( Contents != rhs )
    {
	delete [] Contents;

	if( rhs == (const char *)0 )
	    Contents = (char *)0;
	else
	    Contents = RTMemoryUtil::strdup( rhs );
    }

    return *this;
}
