/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTimerActor.h>

#if ! USE_THREADS
#include <RTDiag.h>
#include <RT_time.h>
#endif

void RTTimerActor::start( void )
{
#if ! USE_THREADS
    struct itimerval value;

    value.it_value.tv_sec  =     0L;
    value.it_value.tv_usec = 10000L; // 10ms is 10,000 microseconds

    value.it_interval = value.it_value;

    if( setitimer( ITIMER_REAL, &value, (itimerval *)0 ) != 0 )
	RTDiag::panic( "setitimer(start)" );
#endif
}
