/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTinet.h>
#include <RTtcp.h>

#include <inetLib.h>

extern "C" int RTinet_lookup( const char * host, RTinet_address * address )
{
    long ip_addr = hostGetByName( (char *)host );

    if( ip_addr == ERROR )
	return 0;

    RTMemoryUtil::memcpy( address, &ip_addr, (int)sizeof( *address ) );

    return 1;
}
