/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebuggerInput.h>

#if USE_WINCE_RTCONSOLE

#include <RTWinCE.h>

int RTDebuggerInput::nextChar( void )
{
    return RTConsole::readChar();
}

#else

#include <RTstdio.h>

int RTDebuggerInput::nextChar( void )
{
    FILE * f = stdin;
    int    c;

    for(;;)
    {
	c = fgetc( f );

	if( feof( f ) )
	{
	    // skip other tests
	}
	else if( ! ferror( f ) )
	{
	    break;
	}

	c = EOF;
	break;
    }

    return c;
}

#endif // USE_WINCE_RTCONSOLE
