/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTTarget_h__
#define __RTTarget_h__ included

#define UNDER_CE   300
#define UNICODE    1
#define _UNICODE   1
#define _WIN32_WCE 300

// TargetRTS configuration

#define TARGET_WINCE 300

#define NO_BUILTIN_MEM 1
#define USE_THREADS    1

// Should RTConsole provided with TargetRTS be used?

#ifndef USE_WINCE_RTCONSOLE
#define USE_WINCE_RTCONSOLE 1
#endif

#ifdef _WIN32_WCE_EMULATION
#define DEFAULT_DEBUG_PRIORITY 2
#define DEFAULT_MAIN_PRIORITY  0
#define DEFAULT_TIMER_PRIORITY 1
#else
#define DEFAULT_DEBUG_PRIORITY 240
#define DEFAULT_MAIN_PRIORITY  250
#define DEFAULT_TIMER_PRIORITY 245
#endif

#endif // __RTTarget_h__
